Portage package upgrade error

Anything that pertains to Portage

Moderator: Moderators

Portage package upgrade error

Postby fusion809 » Mon Aug 31, 2015 12:21

Hi,

I ran:

Code: Select all
root # emerge -uDU --with-bdeps=y @world


after syncing with:

Code: Select all
root # emerge --sync && layman -S


and received the output (truncated, terminator cut off the first few lines of output):

Code: Select all
[ebuild  N     ] x11-proto/bigreqsproto-1.1.2  USE="-doc"
[ebuild  N     ] x11-proto/xf86rushproto-1.1.2-r1
[ebuild  N     ] x11-proto/xcmiscproto-1.2.2  USE="-doc"
[ebuild  N     ] media-fonts/font-util-1.3.1
[ebuild  N     ] x11-misc/util-macros-1.19.0
[ebuild  N     ] x11-apps/bdftopcf-1.0.5
[ebuild     U  ] sci-libs/hdf5-1.8.15_p1 [1.8.14-r1]
[ebuild     U  ] app-arch/snappy-1.1.3 [1.1.2-r1]
[ebuild     U  ] dev-libs/libuv-1.7.0 [1.4.2]
[ebuild  N     ] x11-misc/imake-1.0.7
[ebuild  N     ] x11-misc/gccmakedep-1.0.3  USE="-static-libs"
[ebuild  N     ] x11-apps/xcursorgen-1.0.6
[ebuild  N     ] dev-util/ninja-1.6.0  USE="-doc -emacs {-test} -vim-syntax -zsh-completion"
[ebuild     U  ] sys-devel/gettext-0.19.5.1-r1 [0.19.4]
[ebuild     U  ] sys-devel/binutils-2.25.1-r1 [2.24-r3]
[ebuild     U  ] sys-libs/db-6.0.35 [6.0.30-r1]
[ebuild     U  ] sys-apps/gawk-4.1.3 [4.0.2] USE="-mpfr%"
[ebuild     U  ] media-libs/libbluray-0.8.1 [0.7.0] USE="-bdplus%"
[ebuild  N     ] app-text/scrollkeeper-dtd-1.0
[ebuild     U  ] media-libs/imlib2-1.4.7 [1.4.6-r2] CPU_FLAGS_X86="(-mmx)"
[ebuild     U  ] sys-kernel/linux-headers-4.1 [3.9]
[ebuild  N     ] virtual/os-headers-0
[ebuild     U  ] net-firewall/iptables-1.4.21-r3 [1.4.21-r2] USE="-conntrack% -pcap%"
[ebuild     U  ] sys-libs/libseccomp-2.2.3 [2.1.1] ABI_X86="32%* (64%*) (-x32)"
[ebuild     U  ] dev-perl/libintl-perl-1.240.0 [1.230.0]
[ebuild  N     ] dev-lang/nasm-2.11.08  USE="-doc"
[ebuild   R    ] media-libs/flac-1.3.1-r1  USE="(-sse%*)" CPU_FLAGS_X86="sse%*"
[ebuild   R    ] sys-apps/help2man-1.47.1  ELIBC="(-glibc%*)"
[ebuild  N     ] dev-perl/SGMLSpm-1.03-r7
[ebuild  N     ] dev-perl/XML-LibXML-2.12.100  USE="{-test}"
[ebuild  N     ] dev-libs/klibc-2.0.4  USE="-custom-cflags -debug {-test}"
[ebuild  N     ] app-arch/gcab-0.6  USE="introspection -vala"
[ebuild  N     ] app-text/opensp-1.5.2-r4  USE="nls -doc -static-libs {-test}"
[ebuild  N     ] app-text/openjade-1.3.2-r6  USE="-static-libs"
[ebuild  N     ] dev-perl/Text-CharWidth-0.40.0-r1
[ebuild  N     ] dev-perl/Text-WrapI18N-0.60.0-r1
[ebuild     U #] dev-lang/perl-5.22.0 [5.20.2]
[ebuild     U  ] virtual/perl-Data-Dumper-2.158.0 [2.154.0]
[ebuild  N     ] virtual/perl-ExtUtils-MakeMaker-7.40.100_rc
[ebuild     U  ] virtual/perl-File-Spec-3.560.0 [3.480.100-r1]
[ebuild     U  ] virtual/perl-Scalar-List-Utils-1.410.0 [1.380.0]
[ebuild     U  ] virtual/perl-Compress-Raw-Zlib-2.68.0 [2.65.0]
[ebuild     U  ] virtual/perl-Exporter-5.720.0 [5.710.0-r2]
[ebuild     U  ] virtual/perl-MIME-Base64-3.150.0 [3.140.0-r1]
[ebuild     U  ] virtual/perl-IO-1.350.0 [1.310.0]
[ebuild     U  ] virtual/perl-Storable-2.530.0 [2.490.100-r1]
[ebuild   R    ] dev-scheme/guile-1.8.8-r1  USE="discouraged*"
[ebuild     U  ] net-libs/gnutls-3.3.17.1 [3.3.15]
[ebuild  NS    ] sys-devel/autoconf-2.13 [2.69-r1]
[ebuild     U  ] virtual/perl-libnet-3.50.0 [1.270.0]
[ebuild     U  ] virtual/perl-Getopt-Long-2.450.0 [2.420.0-r1]
[ebuild     U  ] virtual/perl-Carp-1.360.0 [1.330.100]
[ebuild  N     ] virtual/perl-Perl-OSType-1.8.0
[ebuild  N     ] virtual/perl-Parse-CPAN-Meta-1.441.400-r1
[ebuild  N     ] virtual/perl-CPAN-Meta-YAML-0.12.0-r1
[ebuild  N     ] dev-perl/XML-Simple-2.200.0-r1
[ebuild  N     ] x11-misc/icon-naming-utils-0.8.90
[ebuild  N     ] app-text/linuxdoc-tools-0.9.69  USE="-doc"
[ebuild     U  ] virtual/perl-Digest-SHA-5.950.0 [5.880.0]
[ebuild  N     ] virtual/perl-Compress-Raw-Bzip2-2.68.0
[ebuild     U  ] virtual/perl-IO-Compress-2.68.0 [2.64.0]
[ebuild     U  ] virtual/perl-Test-Simple-1.1.14 [1.1.2]
[ebuild  N     ] virtual/perl-ExtUtils-CBuilder-0.280.221
[ebuild  N     ] virtual/perl-Locale-Maketext-1.260.0
[ebuild  N     ] virtual/perl-Text-ParseWords-3.300.0
[ebuild  N     ] virtual/perl-Test-Harness-3.350.0
[ebuild  N     ] virtual/perl-Module-Metadata-1.0.26
[ebuild  N     ] virtual/perl-ExtUtils-ParseXS-3.280.0
[ebuild  N     ] virtual/perl-ExtUtils-Manifest-1.700.0-r1
[ebuild  N     ] virtual/perl-ExtUtils-Install-2.40.0
[ebuild  N     ] virtual/perl-JSON-PP-2.273.0
[ebuild  N     ] virtual/perl-CPAN-Meta-2.150.1
[ebuild  N     ] virtual/perl-version-0.990.900-r2
[ebuild  N     ] dev-perl/Module-Build-0.421.400  USE="{-test}"
[ebuild     U  ] virtual/perl-Digest-MD5-2.540.0 [2.530.0-r2]
[uninstall     ] perl-core/Digest-MD5-2.530.0
[blocks b      ] <perl-core/Digest-MD5-2.540.0 ("<perl-core/Digest-MD5-2.540.0" is blocking virtual/perl-Digest-MD5-2.540.0)
[ebuild  N     ] dev-perl/Locale-Maketext-Lexicon-1.0.0  USE="{-test}"
[ebuild  NS    ] sys-devel/automake-1.14.1 [1.11.6-r1, 1.13.4, 1.15]
[ebuild     U  ] sys-apps/lsb-release-1.4-r3 [1.4]
[ebuild     U  ] dev-lisp/ecls-16.0.0 [15.3.7]
[ebuild     U  ] sci-mathematics/singular-4.0.2 [3.1.7_p1-r4]
[ebuild  N     ] dev-perl/Try-Tiny-0.190.0  USE="{-test}"
[ebuild  N     ] dev-perl/Path-Class-0.350.0  USE="{-test}"
[ebuild  N     ] sys-apps/v86d-0.1.10  USE="(x86emu) -debug"
[ebuild  N     ] app-text/scrollkeeper-9999-r1
[ebuild     U  ] media-libs/harfbuzz-0.9.41 [0.9.40] USE="-fontconfig%"
[ebuild  N     ] app-crypt/heimdal-1.5.3-r2  USE="X berkdb ipv6 pkinit -afs -caps -hdb-ldap -otp (-selinux) -ssl -static-libs {-test} -threads" ABI_X86="32 (64) (-x32)"
[ebuild     U  ] sys-fs/mdadm-3.3.4 [3.3.2-r1]
[ebuild     U  ] x11-terms/xterm-320 [318]
[ebuild     U  ] app-eselect/eselect-java-0.1.0-r1 [0.1.0]
[ebuild     U  ] sys-auth/libfprint-0.6.0-r1 [0.5.1-r1] USE="-vanilla%"
[ebuild  N     ] dev-libs/libgudev-230  USE="introspection -debug -static-libs" ABI_X86="32 (64) (-x32)"
[ebuild     U  ] virtual/libgudev-230 [215-r1]
[ebuild     U  ] dev-libs/libwacom-0.13 [0.11]
[ebuild   R    ] x11-libs/fltk-1.3.3-r3  USE="-pdf*"
[ebuild     U  ] sys-libs/libuser-0.60-r1 [0.60]
[ebuild  N     ] sys-apps/busybox-1.23.2  USE="ipv6 pam static systemd -debug -livecd -make-symlinks -math -mdev -savedconfig (-selinux) -sep-usr -syslog"
[ebuild     U  ] dev-libs/openssl-1.0.2d [1.0.1p] USE="asm%* -sctp%"
[ebuild     U  ] media-libs/freeglut-3.0.0 [2.8.1-r1]
[ebuild     U  ] media-libs/openjpeg-1.5.2-r1 [1.5.2]
[ebuild   R    ] dev-lang/python-2.7.9-r1  USE="(-berkdb*)"
[ebuild     U  ] app-misc/pax-utils-1.1.1 [1.1] USE="-debug%"
[ebuild     U  ] sys-apps/portage-2.2.20.1 [2.2.20]
[ebuild  N     ] dev-util/gdbus-codegen-2.44.1  PYTHON_TARGETS="python2_7 python3_4 -python3_3"
[ebuild  N     ] dev-util/itstool-2.0.2  PYTHON_TARGETS="python2_7"
[ebuild     U  ] x11-misc/xdg-utils-1.1.0_rc3_p20150825 [1.1.0_rc3_p20150119]
[ebuild     U  ] dev-libs/libnl-3.2.26 [3.2.25]
[ebuild     U  ] dev-libs/libevdev-1.4.3 [1.3]
[ebuild     U  ] dev-libs/libinput-1.0.0 [0.18.0]
[ebuild  N     ] dev-python/packaging-15.3-r1  USE="{-test}" PYTHON_TARGETS="python2_7 python3_4 -pypy -pypy3 -python3_3"
[ebuild     U  ] dev-python/setuptools-18.2-r3 [18.2]
[ebuild     U  ] sys-libs/cracklib-2.9.6 [2.9.2-r1]
[ebuild     U  ] dev-python/cython-0.23.1 [0.23]
[ebuild     U  ] dev-python/ipaddress-1.0.14 [1.0.7] PYTHON_TARGETS="python3_4%* -pypy3% -python3_3%"
[ebuild     U  ] sys-libs/tevent-0.9.25 [0.9.24]
[ebuild  N     ] sys-libs/ldb-1.1.21  USE="-doc" PYTHON_TARGETS="python2_7"
[ebuild  N     ] dev-python/extras-0.0.3  USE="{-test}" PYTHON_TARGETS="python2_7 python3_4 -pypy -pypy3 -python3_3"
[ebuild  NS    ] app-text/docbook-xml-dtd-4.1.2-r6 [4.2-r2, 4.5-r1]
[ebuild  NS    ] app-text/docbook-xml-dtd-4.3-r1 [4.2-r2, 4.5-r1]
[ebuild  NS    ] app-text/docbook-xml-dtd-4.4-r2 [4.2-r2, 4.5-r1]
[ebuild  N     ] app-text/docbook-sgml-dtd-4.1-r3
[ebuild  N     ] app-text/docbook-sgml-dtd-3.0-r3
[ebuild   R    ] dev-python/backports-1.0  PYTHON_TARGETS="python3_4%*"
[ebuild     U  ] sys-boot/efibootmgr-0.12 [0.6.0]
[ebuild     U  ] dev-python/zope-interface-4.1.2 [4.1.1]
[ebuild  NS    ] dev-python/pygobject-3.16.2 [2.28.6-r55] USE="cairo threads -examples {-test}" PYTHON_TARGETS="python2_7 python3_4"
[ebuild  N     ] app-text/asciidoc-8.6.9-r1  USE="-examples -graphviz -highlight {-test} -vim-syntax" PYTHON_SINGLE_TARGET="python2_7 -pypy" PYTHON_TARGETS="python2_7 -pypy"
[ebuild     U  ] dev-python/pyasn1-modules-0.0.7 [0.0.5-r1] PYTHON_TARGETS="-pypy3%"
[ebuild  N     ] dev-vcs/mercurial-3.5  USE="-bugzilla -emacs -gpg {-test} -tk" PYTHON_TARGETS="python2_7"
[ebuild  N     ] dev-vcs/bzr-2.6.0  USE="curl sftp -doc {-test}" PYTHON_TARGETS="python2_7"
[ebuild  N     ] app-text/yelp-tools-3.16.1
[ebuild  N     ] dev-util/boost-build-1.56.0  USE="python -examples {-test}" PYTHON_TARGETS="python2_7"
[ebuild  N     ] dev-python/m2crypto-0.22.3-r4  PYTHON_TARGETS="python2_7"
[ebuild     U  ] net-wireless/crda-3.18 [1.1.3-r1] USE="-gcrypt%"
[ebuild  N     ] dev-python/progress-1.2  PYTHON_TARGETS="python2_7 python3_4 -pypy -pypy3 -python3_3"
[ebuild  N     ] dev-python/retrying-1.3.3  PYTHON_TARGETS="python2_7 python3_4 -pypy -pypy3 -python3_3"
[ebuild  N     ] dev-python/html5lib-0.999999  USE="{-test}" PYTHON_TARGETS="python2_7 python3_4 -pypy -pypy3 -python3_3"
[ebuild  N     ] dev-python/distlib-0.2.1  PYTHON_TARGETS="python2_7 python3_4 -pypy -pypy3 -python3_3"
[ebuild  N     ] dev-python/colorama-0.3.3  USE="-examples" PYTHON_TARGETS="python2_7 python3_4 -pypy -pypy3 -python3_3"
[ebuild  N     ] app-text/docbook-sgml-dtd-3.1-r3
[ebuild  N     ] app-text/docbook-sgml-dtd-4.0-r3
[ebuild  N     ] app-text/docbook-xml-simple-dtd-4.1.2.4-r3
[ebuild  N     ] app-text/docbook-xml-simple-dtd-1.0-r2
[ebuild  N     ] app-text/docbook-sgml-utils-0.6.14-r1  USE="-jadetex"
[ebuild  N     ] app-text/po4a-0.45-r2  USE="{-test}" LINGUAS="af ca cs da de eo es et eu fr hr it ja ko nb nl pl pt pt_BR ru sl sv uk vi zh_CN -id -kn -zh_HK"
[ebuild  N     ] dev-python/mimeparse-0.1.4-r1  PYTHON_TARGETS="python2_7 python3_4 -pypy -pypy3 -python3_3"
[ebuild  N     ] app-text/docbook-sgml-dtd-4.5
[ebuild  N     ] dev-util/gtk-doc-1.24  USE="-debug -doc -emacs -highlight -vim" PYTHON_TARGETS="python2_7"
[ebuild     U  ] dev-python/ndg-httpsclient-0.4.0 [0.3.2] PYTHON_TARGETS="python3_4%* -python3_3%"
[ebuild  N     ] net-libs/serf-1.3.8  USE="kerberos"
[ebuild  N     ] dev-vcs/subversion-1.9.0  USE="berkdb http nls perl python -apache2 -ctypes-python -debug -doc -dso -extras -gnome-keyring -java -kde -ruby -sasl {-test} -vim-syntax" PYTHON_TARGETS="python2_7"
[ebuild  N     ] dev-python/pypy-2.5.1  USE="bzip2 gdbm jit ncurses sqlite -doc -low-memory (-sandbox) -shadowstack {-test} -tk" CPU_FLAGS_X86="(-sse2)"
[ebuild  N     ] virtual/pypy-2.5.1  USE="bzip2 gdbm ncurses -sqlite -tk"
[ebuild  N     ] dev-python/CacheControl-0.11.5  USE="-redis {-test}" PYTHON_TARGETS="python2_7 python3_4 -pypy -pypy3 -python3_3"
[ebuild     U  ] dev-python/pip-7.1.2 [7.1.0]
[ebuild  N     ] dev-python/pbr-1.6.0  USE="{-test}" PYTHON_TARGETS="python2_7 python3_4 -pypy -pypy3 -python3_3"
[ebuild  N     ] dev-python/linecache2-1.0.0  USE="{-test}" PYTHON_TARGETS="python2_7 python3_4 -pypy -pypy3 -python3_3"
[ebuild  N     ] dev-python/traceback2-1.4.0  PYTHON_TARGETS="python2_7 python3_4 -pypy -pypy3 -python3_3"
[ebuild  N     ] dev-python/unittest2-1.1.0  PYTHON_TARGETS="python2_7 python3_4 -pypy -pypy3 -python3_3"
[ebuild  N     ] dev-python/testtools-1.8.0  USE="-doc {-test}" PYTHON_TARGETS="python2_7 python3_4 -pypy -pypy3 -python3_3"
[ebuild  N     ] dev-python/subunit-1.1.0  USE="-static-libs {-test}" ABI_X86="32 (64) (-x32)" PYTHON_TARGETS="python2_7 python3_4 -pypy -pypy3 -python3_3"
[ebuild     U  ] sci-libs/blas-reference-20131116-r1 [20070226-r2] USE="-int64% -static-libs% {-test%}" ABI_X86="32%* (64%*) (-x32)"
[ebuild     U  ] virtual/blas-2.1-r3 [1.0] USE="-doc% -int64%"
[ebuild     U  ] sci-libs/cblas-reference-20110218-r1 [20030223-r5] USE="-int64% -static-libs%" ABI_X86="32%* (64%*) (-x32)"
[ebuild     U  ] virtual/cblas-2.0-r3 [1.0] USE="-int64%" ABI_X86="32%* (64%*) (-x32)"
[ebuild     U  ] sci-libs/lapack-reference-3.5.0 [3.2.1-r1] USE="-int64% -static-libs% {-test%} -xblas%" ABI_X86="32%* (64%*) (-x32)"
[ebuild     U  ] virtual/lapack-3.5-r2 [3.1] USE="-doc% -int64%"
[ebuild  N     ] virtual/package-manager-0
[ebuild  N     ] virtual/ssh-0  USE="-minimal"
[ebuild   R    ] x11-misc/bumblebee-3.2.1  USE="-bbswitch*"
[ebuild     U  ] dev-python/pillow-2.9.0 [2.5.3-r1]
[ebuild     U  ] sys-apps/man-db-2.7.2-r1 [2.7.1] USE="manpager%*"
[ebuild     U  ] dev-python/flask-babel-0.9 [0.8-r1] PYTHON_TARGETS="python3_4%* -pypy% -python3_3%"
[ebuild   R    ] dev-python/sympy-0.7.6  USE="-pdf*"
[ebuild     U  ] media-libs/qhull-2012.1-r4 [2012.1-r1]
[ebuild     U  ] sci-libs/gsl-1.16-r2 [1.15] ABI_X86="32%* (64%*) (-x32)"
[ebuild  N     ] sys-boot/gnu-efi-3.0.3
[ebuild     U  ] media-libs/mutagen-1.30 [1.27]
[ebuild  N     ] sys-kernel/genkernel-next-63  USE="cryptsetup dmraid mdadm -gpg -iscsi -plymouth (-selinux)"
[ebuild  N     ] virtual/service-manager-0  USE="(-prefix)"
[ebuild  N     ] dev-libs/appstream-glib-0.4.0  USE="introspection nls"
[ebuild  N     ] dev-util/appdata-tools-0.1.8-r1
[ebuild   R    ] app-arch/file-roller-3.16.3  USE="(-packagekit*)"
[ebuild     U  ] dev-cpp/gtkmm-3.16.0 [3.14.0-r1]
[ebuild   R    ] net-libs/farstream-0.2.7  USE="(-msn%*)"
[ebuild  N     ] dev-python/terminado-0.5  USE="{-test}" PYTHON_TARGETS="python2_7 python3_4 -python3_3"
[ebuild   R    ] app-arch/rpm-4.12.0.1  PYTHON_SINGLE_TARGET="(-python2_7%*)"
[ebuild     U  ] dev-cpp/gtkmm-2.24.4-r2 [2.24.4-r1]
[ebuild  N     ] dev-python/pycanberra-0_pre20130515  PYTHON_TARGETS="python2_7 python3_4 -python3_3"
[ebuild   R    ] kde-frameworks/kfilemetadata-5.13.0  USE="-pdf*"
[ebuild   R    ] dev-python/ipython-3.2.1  USE="notebook*"
[ebuild     U  ] media-gfx/imagemagick-6.9.2.0 [6.9.1.8]
[ebuild   R    ] app-text/texlive-core-2015  USE="luajittex%*"
[ebuild   R    ] dev-texlive/texlive-basic-2015  USE="luajittex%*"
[ebuild     U #] sci-mathematics/pari-2.8_pre20150611 [2.3.5] USE="data* doc* qt4%*"
[ebuild     U  ] media-gfx/gimp-2.8.14-r1 [2.8.14] USE="-pdf*"
[ebuild     U  ] sys-apps/systemd-222-r1 [216-r3] USE="kdbus* lz4* ssl* -gnuefi% -importd% -nat% -terminal% -xkb%"
[blocks b      ] sys-apps/systemd[gudev(-)] ("sys-apps/systemd[gudev(-)]" is blocking dev-libs/libgudev-230)
[ebuild     U  ] sys-apps/dbus-1.8.20 [1.8.16]
[ebuild     U  ] virtual/udev-217 [215]
[ebuild     U  ] net-dns/avahi-0.6.31-r8 [0.6.31-r5] PYTHON_TARGETS="python2_7%*"
[ebuild     U  ] sys-fs/zfs-0.6.4.2 [0.6.4] USE="(-kernel-builtin*)"
[ebuild   R    ] media-gfx/sane-backends-1.0.25_pre20150628  USE="nls%*"
[ebuild   R    ] net-irc/telepathy-idle-0.2.0  PYTHON_SINGLE_TARGET="(-python2_7%*)"
[ebuild   R    ] gnome-extra/gnome-color-manager-3.16.0  USE="(-packagekit*)"
[ebuild     U  ] net-print/cups-2.0.4 [2.0.3]
[ebuild     U  ] media-libs/libsdl-1.2.15-r9 [1.2.15-r8]
[ebuild  NS    ] x11-libs/wxGTK-3.0.2.0-r2 [2.8.12.1-r2] USE="X gstreamer libnotify opengl sdl tiff (-aqua) -debug -doc -webkit" ABI_X86="32 (64) (-x32)"
[ebuild   R    ] media-libs/libsdl2-2.0.3-r200  USE="(-mmx%*) (-sse%*) (-sse2%*)" CPU_FLAGS_X86="mmx%* sse%* sse2%* -3dnow%"
[ebuild     U  ] sys-fs/udev-init-scripts-30 [27]
[ebuild     U  ] net-misc/dhcpcd-6.9.2 [6.9.1]
[ebuild     U  ] net-print/cups-filters-1.0.74 [1.0.71]
[ebuild     U  ] x11-drivers/xf86-video-virtualbox-5.0.2 [4.3.28]
[ebuild     U  ] x11-drivers/xf86-video-ast-1.1.5 [1.0.1]
[ebuild     U  ] sys-boot/grub-2.02_beta2-r7 [2.00-r7] USE="fonts%* themes%*" GRUB_PLATFORMS="-loongson% -uboot% -xen%"
[ebuild     U  ] media-video/mpv-0.9.2_p20150824 [0.9.2-r1]
[ebuild   R    ] app-admin/packagekit-base-0.8.15-r1  PYTHON_SINGLE_TARGET="(-python2_7%*)"
[ebuild     U  ] sys-block/open-iscsi-2.0.873 [2.0.872-r2]
[ebuild   R    ] www-client/firefox-40.0.2  LINGUAS="af* ar* bg* br* bs* ca* cs* cy* da* de* el* en_GB* eo* es_AR* es_ES* et* eu* fa* fi* fr* fy_NL* ga_IE* gl* gu_IN* he* hr* hu* is* it* ja* kk* km* ko* lt* lv* mk* nb_NO* nl* nn_NO* pl* pt_BR* pt_PT* ro* ru* sk* sl* sr* sv_SE* ta* tr* uk* vi* zh_CN* zh_TW*"
[ebuild   R    ] media-video/mjpegtools-2.1.0-r2  USE="(-mmx%*) (-v4l%*)" CPU_FLAGS_X86="mmx%*"
[ebuild   R    ] net-im/telepathy-connection-managers-2-r2  USE="xmpp%* -gadu% -meanwhile% -steam% (-jabber%*)"
[ebuild  NS    ] dev-python/wxpython-3.0.2.0 [2.8.12.1-r2] USE="cairo libnotify opengl -examples" PYTHON_TARGETS="python2_7"
[ebuild   R    ] sys-libs/glibc-2.20-r2  USE="(-hardened*)"
[ebuild   R    ] sys-devel/gcc-4.9.3  USE="(-hardened*)"
[ebuild   R    ] app-misc/tracker-1.4.1  USE="-pdf*"
[ebuild     U  ] sys-devel/llvm-3.5.2 [3.5.0]
[ebuild     U  ] sys-devel/clang-3.5.2-r100 [3.5.0-r100]
[blocks b      ] <=sys-devel/clang-3.5.2-r99 ("<=sys-devel/clang-3.5.2-r99" is blocking sys-devel/llvm-3.5.2)
[ebuild     U  ] sys-apps/iproute2-4.1.1 [3.19.0]
[ebuild    FU  ] dev-java/oracle-jdk-bin-1.8.0.51 [1.8.0.45] USE="awt%* cups%* -javafx%"
[ebuild     U  ] x11-drivers/nvidia-drivers-355.06-r1 [352.09] USE="tools*"
[ebuild   R    ] gnome-base/nautilus-3.16.2  USE="(-packagekit*)"
[ebuild  N     ] sys-libs/ntdb-1.0-r1  USE="python" ABI_X86="32 (64) (-x32)" PYTHON_TARGETS="python2_7"
[ebuild     U  ] net-fs/samba-4.1.19 [3.6.25] USE="gnutls%* systemd%* -aio* -iprint% {-test%}" PYTHON_TARGETS="python2_7%*"
[blocks B      ] <perl-core/Data-Dumper-2.158.0 ("<perl-core/Data-Dumper-2.158.0" is blocking virtual/perl-Data-Dumper-2.158.0)
[blocks B      ] app-crypt/heimdal ("app-crypt/heimdal" is hard blocking app-crypt/mit-krb5-1.13.2)
[blocks B      ] <net-fs/samba-4.1.7 ("<net-fs/samba-4.1.7" is hard blocking sys-libs/ntdb-1.0-r1)
[blocks B      ] <perl-core/MIME-Base64-3.150.0 ("<perl-core/MIME-Base64-3.150.0" is blocking virtual/perl-MIME-Base64-3.150.0)
[blocks B      ] <perl-core/libnet-3.50.0 ("<perl-core/libnet-3.50.0" is blocking virtual/perl-libnet-3.50.0)
[blocks B      ] app-crypt/mit-krb5 ("app-crypt/mit-krb5" is hard blocking app-crypt/heimdal-1.5.3-r2)

Fetch instructions for dev-java/oracle-jdk-bin-1.8.0.51:
 *
 * Oracle requires you to download the needed files manually after
 * accepting their license through a javascript capable web browser.
 *
 * Download the following files:
 *   jdk-8u51-linux-x64.tar.gz
 * at 'http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html'
 * and move them to '/usr/portage/distfiles'
 *
 * If the above mentioned urls do not point to the correct version anymore,
 * please download the files from Oracle's java download archive:
 *
 *    http://www.oracle.com/technetwork/java/javase/downloads/java-archive-javase8-2177648.html#jdk-8u51-oth-JPR
 *

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-lang/perl:0

  (dev-lang/perl-5.22.0:0/5.22::gentoo, ebuild scheduled for merge) pulled in by
    =dev-lang/perl-5.22* required by (virtual/perl-Scalar-List-Utils-1.410.0:0/0::gentoo, ebuild scheduled for merge)
    ^              ^^^^^                                                                                                                                                   
    (and 33 more with the same problem)

  (dev-lang/perl-5.20.2:0/5.20::gentoo, installed) pulled in by
    dev-lang/perl:0/5.20=[-build(-)] required by (dev-perl/File-Listing-6.40.0-r1:0/0::gentoo, installed)
                 ^^^^^^^^                                                                                                                   
    (and 65 more with the same problem)

sys-libs/ncurses:0

  (sys-libs/ncurses-6.0-r1:0/6::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (sys-libs/ncurses-5.9-r4:0/0::gentoo, installed) pulled in by
    =sys-libs/ncurses-5*:0= required by (dev-python/pypy-2.5.1:0/2.5::gentoo, ebuild scheduled for merge)
    ^                 ^^^^^                                                                                                                                                       
    sys-libs/ncurses:0/0=[unicode] required by (media-video/vlc-2.2.1:0/5-8::gentoo, installed)
                    ^^^^^                                                                                                         
    (and 6 more with the same problems)

sci-libs/hdf5:0

  (sci-libs/hdf5-1.8.15_p1:0/1.8.15::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (sci-libs/hdf5-1.8.14-r1:0/1.8.14::gentoo, installed) pulled in by
    >=sci-libs/hdf5-1.8.4:0/1.8.14= required by (dev-python/pytables-3.2.1:0/0::gentoo, installed)
                         ^^^^^^^^^^                                                                                                   
    (and 1 more with the same problem)

dev-libs/kpathsea:0

  (dev-libs/kpathsea-6.2.1_p20150521:0/6.2.1::gentoo, installed) pulled in by
    >=dev-libs/kpathsea-6.2.1 required by (app-text/texlive-core-2015:0/0::gentoo, ebuild scheduled for merge)
    ^^                  ^^^^^                                                                                                                                       
    (and 4 more with the same problem)

  (dev-libs/kpathsea-6.2.0_p20140525:0/6.2.0::gentoo, ebuild scheduled for merge) pulled in by
    dev-libs/kpathsea:0/6.2.0= required by (app-text/evince-3.16.1:0/evd3.4-evv3.3::gentoo, installed)
                     ^^^^^^^^^                                                                                                           


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (sys-libs/ntdb-1.0-r1:0/0::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-libs/ntdb-1.0[python,python_targets_python2_7(-)?,-python_single_target_jython2_5(-),-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python3_3(-),-python_single_target_python3_4(-),python_single_target_python2_7(+)] (>=sys-libs/ntdb-1.0[python,python_targets_python2_7(-),-python_single_target_jython2_5(-),-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python3_3(-),-python_single_target_python3_4(-),python_single_target_python2_7(+)]) required by (net-fs/samba-4.1.19:0/0::gentoo, ebuild scheduled for merge)

  (virtual/perl-libnet-3.50.0:0/0::gentoo, ebuild scheduled for merge) pulled in by
    virtual/perl-libnet required by (dev-perl/libwww-perl-6.50.0:0/0::gentoo, installed)
    virtual/perl-libnet:0 required by @selected
    virtual/perl-libnet required by (dev-perl/Net-SMTP-SSL-1.30.0:0/0::gentoo, installed)

  (app-crypt/mit-krb5-1.13.2:0/0::gentoo, installed) pulled in by
    app-crypt/mit-krb5 required by (gnome-base/gnome-control-center-3.16.2-r1:2/2::gentoo, installed)
    app-crypt/mit-krb5:0 required by @selected
    app-crypt/mit-krb5 required by (net-libs/c-client-2007f-r4:0/0::gentoo, installed)
    >=app-crypt/mit-krb5-1.11.4[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] (>=app-crypt/mit-krb5-1.11.4[abi_x86_32(-),abi_x86_64(-)]) required by (dev-libs/openssl-1.0.2d:0/0::gentoo, ebuild scheduled for merge)
    app-crypt/mit-krb5 required by (net-libs/gnome-online-accounts-3.16.3-r1:0/1::gentoo, installed)
    >=app-crypt/mit-krb5-1.12.1-r1[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] (>=app-crypt/mit-krb5-1.12.1-r1[abi_x86_32(-),abi_x86_64(-)]) required by (virtual/krb5-0-r1:0/0::gentoo, installed)

  (perl-core/MIME-Base64-3.140.0-r1:0/0::gentoo, installed) pulled in by
    perl-core/MIME-Base64:0 required by @selected

  (perl-core/Data-Dumper-2.154.0:0/0::gentoo, installed) pulled in by
    perl-core/Data-Dumper:0 required by @selected

  (perl-core/libnet-1.270.0:0/0::gentoo, installed) pulled in by
    perl-core/libnet:0 required by @selected

  (virtual/perl-Data-Dumper-2.158.0:0/0::gentoo, ebuild scheduled for merge) pulled in by
    virtual/perl-Data-Dumper:0 required by @selected
    >=virtual/perl-Data-Dumper-2.154.0 required by (dev-lang/perl-5.22.0:0/5.22::gentoo, ebuild scheduled for merge)
    virtual/perl-Data-Dumper required by (dev-perl/Module-Build-0.421.400:0/0::gentoo, ebuild scheduled for merge)
    >=virtual/perl-Data-Dumper-2.154.0 required by (dev-lang/perl-5.20.2:0/5.20::gentoo, installed)
    =virtual/perl-Data-Dumper-2.158.0 required by (dev-lang/perl-5.22.0:0/5.22::gentoo, ebuild scheduled for merge)
    =virtual/perl-Data-Dumper-2.158.0 required by (dev-lang/perl-5.20.2:0/5.20::gentoo, installed)

  (app-crypt/heimdal-1.5.3-r2:0/0::gentoo, ebuild scheduled for merge) pulled in by
    >=app-crypt/heimdal-1.5[-ssl,-threads] required by (net-fs/samba-4.1.19:0/0::gentoo, ebuild scheduled for merge)

  (virtual/perl-MIME-Base64-3.150.0:0/0::gentoo, ebuild scheduled for merge) pulled in by
    >=virtual/perl-MIME-Base64-2.120.0 required by (dev-perl/libwww-perl-6.50.0:0/0::gentoo, installed)
    >=virtual/perl-MIME-Base64-2 required by (dev-perl/URI-1.680.0:0/0::gentoo, installed)
    virtual/perl-MIME-Base64:0 required by @selected
    virtual/perl-MIME-Base64 required by (dev-perl/Crypt-SSLeay-0.720.0:0/0::gentoo, installed)
    virtual/perl-MIME-Base64 required by (perl-core/Digest-1.170.0-r1:0/0::gentoo, installed)
    >=virtual/perl-MIME-Base64-2.1 required by (dev-perl/HTTP-Message-6.60.0-r1:0/0::gentoo, installed)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages


I was very overwhelmed by this error, if it was a single package that was the problem I'd read the handbook and try it out myself before bothering the good people of the Sabayon community, but due to how many packages are involved I was hoping someone here has a nice simple solution for me, perhaps.

Thanks for your time,
Brenton
Brenton Horne
Favourite distros: Arch Linux, Fedora, openSUSE, Sabayon Linux and Ubuntu.
Usernames: Fuse809 (Wikimedia), fusion809 (RuneScape), Brenton (Sabayon Wiki) and fusion809 (Gentoo Wiki).
My Blog on Sabayon | Google+
fusion809
Growing Hen
 
Posts: 116
Joined: Fri Jul 03, 2015 15:11
Location: Townsville, Australia

Re: Portage package upgrade error

Postby joost » Mon Aug 31, 2015 19:04

We don't really support using Portage, but let me help you.

You should prevent pulling in Samba 4, this depends on app-crypt/heimdal, but Sabayon uses the app-crypt/mit-krb5 implementation.
joost
Sagely Hen
 
Posts: 2639
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands

Re: Portage package upgrade error

Postby fusion809 » Tue Sep 01, 2015 7:30

Thanks Joost, I know it's kind of silly of me to use Portage when programming is not my strong suite. This being said, I'm guessing your answer is essentially that I should unmerge Samba 4 and app-crypt/heimdal? i.e., run:

Code: Select all
root #  emerge --unmerge samba app-crypt/heimdal
Brenton Horne
Favourite distros: Arch Linux, Fedora, openSUSE, Sabayon Linux and Ubuntu.
Usernames: Fuse809 (Wikimedia), fusion809 (RuneScape), Brenton (Sabayon Wiki) and fusion809 (Gentoo Wiki).
My Blog on Sabayon | Google+
fusion809
Growing Hen
 
Posts: 116
Joined: Fri Jul 03, 2015 15:11
Location: Townsville, Australia

Re: Portage package upgrade error

Postby joost » Tue Sep 01, 2015 12:39

joost
Sagely Hen
 
Posts: 2639
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands


Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest

cron